/*
 * Copyright (c) 2004, 2005, 2006, 2007 Luiz Otavio O Souza <loos.br@gmail.com>
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

/*
 * $Id: contacts.h,v 1.11 2007/07/28 18:08:01 luiz Exp $
 */

#ifndef CONTACTS_H
#define CONTACTS_H

#include "user.h"
#include "string.h"

typedef struct contact__ {

    string		contact;	/* contact email */
    string		status;		/* contact status */
    string		group;		/* contact group */
    string		uid;		/* contact uid */
    string		dn;		/* contact display name */
    unsigned long	lists;		/* contact lists information */
    unsigned long	flags;		/* contact client flags */

} contact_;

void	contact_zero(contact_ *contact);
void	contact_free(contact_ *contact);
int	msnp13_save_contact(user_ *user, command *cmd, int args);
int	msnp12_save_contact(user_ *user, command *cmd, int args);
int	msnp8_save_contact(user_ *user, command *cmd, int args);
int	msn_save_contactgroup(string *email, string *group, string *gid);
int	msnp12_save_contactgroup(user_ *user, command *cmd, int args);
int	msnp8_save_contactgroup(user_ *user, command *cmd, int args);
int	msnp13_contact_initial_state(user_ *user, command *cmd, int args);
int	msn_contact_initial_state(user_ *user, command *cmd, int args);
int	msn_contact_logoff(user_ *user, command *cmd, int args);
int	msnp13_contact_change(user_ *user, command *cmd, int args);
int	msn_contact_change(user_ *user, command *cmd, int args);
int	msnp12_client_syn_rewrite(user_ *user, command *cmd, int args);
int	msnp8_client_syn_rewrite(user_ *user, command *cmd, int args);
int	msnp8_server_syn_rewrite(user_ *user, command *cmd, int args);

#endif
