/*
 * Copyright (c) 2004, 2005, 2006, 2007 Luiz Otavio O Souza <loos.br@gmail.com>
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

/*
 * $Id: msn-proxy.h,v 1.36 2007/07/28 18:08:01 luiz Exp $
 */

#ifndef MSN_PROXY_H
#define MSN_PROXY_H

#define	LAST			0x01000001
#define	FAIL			0x02000002
#define	AGAIN			0x03000003
#define	UPDATE			0x04000004
#define	END			0x05000005
#define	OK			0x06000006
#define	YES			0x07000007
#define	NO			0x08000008
#define	RETURN			0x09000009
#define	DISCONNECT		0x0a00000a
#define	SERVER			0x0b00000b
#define	CLIENT			0x0c00000c
#define PRE_AUTH		0x0d00000d
#define USR_TWN_I		0x0e00000e
#define USR_TWN_S		0x0f00000f
#define CONNECTED		0x00000010
#define SERVER_CMD		0x00000020
#define SERVER_SB_CMD		0x00000030
#define SERVER_PRE_CMD		0x00000040
#define SERVER_POST_CMD		0x00000050
#define SERVER_SB_POST_CMD	0x00000060
#define CLIENT_CMD		0x00000070
#define CLIENT_SB_CMD		0x00000080
#define CLIENT_PRE_CMD		0x00000090
#define CLIENT_POST_CMD		0x000000a0
#define CLIENT_SB_POST_CMD	0x000000b0
#define HEADER                  0x000000c0
#define VALUE			0x000000d0
#define BODY			0x000000e0
#define START_VALUE		0x000000f0
#define TYPE_P2P		0x00000100
#define TYPE_TEXTUTF8		0x00000200
#define TYPE_MSGSCONTROL	0x00000300
#define TYPE_CLIENTCAPS		0x00000400
#define TYPE_DATACAST		0x00000500
#define TYPE_FILETRANSF		0x00000600
#define	TYPE_EMOTICON		0x00000700

#define P2P_INVITING		0x00000800
#define P2P_COMPLETE		0x00000900

#define	FL			0x00000001
#define AL			0x00000002
#define	BL			0x00000004
#define RL			0x00000008
#define PL			0x00000010

#define CVR0			0x00000010
#define MSNP8			0x00000020
#define MSNP9			0x00000040
#define MSNP10			0x00000080
#define MSNP11			0x00000100
#define MSNP12			0x00000200
#define MSNP13			0x00000400
#define MSNP14			0x00000800
#define MSNP15			0x00001000
#define UNKNOWN			0x00002000

#define P2P_ACK			0x00000002
#define P2P_FILE		0x00002000

#ifndef LOG_IDENT
#define LOG_IDENT		"msn-proxy"
#endif

#ifndef MYSQLCONFDIR
#define MYSQLCONFDIR		"/usr/local/etc/msn-proxy/mysql"
#endif

#include "config.h"
#include "syslog.h"

void	die_nomem(void);
void	die_err(char *msg);

extern config_		config;

#endif
