/*
 * Copyright (c) 2004, 2005, 2006, 2007 Luiz Otavio O Souza <loos.br@gmail.com>
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

/*
 * $Id: sb-data.h,v 1.11 2007/07/28 18:08:01 luiz Exp $
 */

#ifndef SB_DATA_H
#define SB_DATA_H

#include <sys/time.h>

#include <event.h>

#include "queue.h"
#include "client.h"
#include "server.h"

typedef struct sb__ {
    __uint32_t		id;		/* sql chat id */
    __uint32_t		warned;		/* warned about message logging */
    unsigned int	closed;		/* need to log stop at disconnect ? */
    struct user__	*user;

    string              start;

    string              *xfr;
    server_             *server;
    client_             *client;

    struct event        listen;

    SLIST_HEAD(slisthead, sb_user_entry) user_head;

    LIST_ENTRY(sb__)	entries;
} sb_;

struct sb_user_entry {
    string                      email;
    SLIST_ENTRY(sb_user_entry)  entries;
};

#endif
