/*
 * Copyright (c) 2004, 2005, 2006, 2007 Luiz Otavio O Souza <loos.br@gmail.com>
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

/*
 * $Id: sql.h,v 1.45 2007/07/28 18:08:01 luiz Exp $
 */

#ifndef SQL_H
#define SQL_H

#include "user.h"
#include "contacts.h"

int	sql_read_user_acl(user_ *user);
int	sql_disconnect_all(void);
int	sql_user_disconnect(string *email);
int	sql_users_update(user_ *user);
int	sql_set_status(user_ *user);
int	sql_update_user_dn(user_ *user);
__uint32_t	sql_insert_sb(user_ *user);
int	sql_remove_sb(int id);
int	sql_log_join(int sb_id, string *email, string *dn);
int	sql_log_stop2(sb_ *sb, string *email, string *contact_email);
int	sql_log_stop(sb_ *sb, string *email, string *dn);
int	sql_log_start(int sb_id, string *email, string *dn);
int	sql_log_msg(int sb_id, string *email, string *dn, string *msg);
int	sql_read_defaults(void);
int	sql_check_connect(string *email);
int	sql_connection_denied(string *email);
int	sql_version_denied(string *email);
int	sql_password_error(string *email);
int	sql_save_contact(string *email, contact_ *contact);
int	sql_save_contactgroup(string *email, string *name, string *id);
int	sql_set_contact_state(string *email, contact_ *contact);
int	sql_contact_logoff(string *email, string *contact);
int	sql_zero_ubx(string *email, string *contact);
int	sql_set_ubx_info(string *email, string *contact, string *info);
int	sql_check_contact_allowed(string *email, string *contact);
int	sql_read_warning(string *warndn, string *warnmsg, string *warnemail,
			 string *msgfont, string *msgcolor);

#endif
