/*
 * Copyright (c) 2004, 2005, 2006, 2007 Luiz Otavio O Souza <loos.br@gmail.com>
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

/*
 * $Id: user.h,v 1.23 2007/07/28 18:08:01 luiz Exp $
 */

#ifndef USER_H
#define USER_H

#include <sys/types.h>
#include <sys/socket.h>

#include <time.h>

#include "tree.h"
#include "command.h"
#include "ns-data.h"
#include "sb-data.h"

typedef struct user__ {

    unsigned int	id;
    unsigned int	state;

    string		dn;	/* basic - display name */
    string		email;	/* basic - email */
    string		addr;	/* basic - ip address */

    struct ns__		ns;	/* notification switch proxy */

    LIST_HEAD(listhead, sb__)	sb_head;

    string              status;         /* acls - reload only on */
    __uint32_t		connect;
    __uint32_t		save_msg;
    __uint32_t		save_contacts;
    unsigned long       commands;	/*          -            */

    unsigned long       msnp8_syn_bug;  /* windows messenger SYN bug workaround */

    RB_ENTRY(user__)	entry;
} user_;

int	msn_url(user_ *user, command *cmd, int args);
int	msnp12_ubx(user_ *user, command *cmd, int args);
user_	*user_alloc(struct sockaddr *sa, socklen_t sa_len);
void	user_disconnect(user_ *user);
int	msnp12_update_dn(user_ *user, command *cmd, int args);
int	msn_update_status(user_ *user, command *cmd, int args);

#endif

